Projects
Update Error Grouping Settings
Authorization
apiKeyAuth x-api-key<token>
FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v0/project/string/error-grouping" \ -H "Content-Type: application/json" \ -d '{ "mode": "legacy", "parserMaxInputBytes": 0, "parserMaxLines": 0, "parserMaxLineBytes": 0, "segmentSelection": "error_kind_only", "includeErrorKind": true, "rawStackPolicy": "bounded", "rawStackMaxBytes": 0, "maxFrames": 0, "includeFunction": true, "includeModule": true, "includeFile": true, "runtimeFramePolicy": "exclude_when_application_frame_exists", "adjacentFramePolicy": "deduplicate", "exclusions": [ { "field": "function", "matcher": "exact", "pattern": "string" } ] }'{ "mode": "legacy", "parserMaxInputBytes": 0, "parserMaxLines": 0, "parserMaxLineBytes": 0, "segmentSelection": "error_kind_only", "includeErrorKind": true, "rawStackPolicy": "bounded", "rawStackMaxBytes": 0, "maxFrames": 0, "includeFunction": true, "includeModule": true, "includeFile": true, "runtimeFramePolicy": "exclude_when_application_frame_exists", "adjacentFramePolicy": "deduplicate", "exclusions": [ { "field": "function", "matcher": "exact", "pattern": "string" } ]}mode*string
Value in
- "legacy"
- "modern"
parserMaxInputBytes*number|
parserMaxLines*number|
parserMaxLineBytes*number|
segmentSelection*string
Value in
- "error_kind_only"
- "root"
- "root_and_terminal_cause"
- "terminal_cause_frames"
includeErrorKind*boolean
rawStackPolicy*string
Value in
- "bounded"
- "error_kind_only"
rawStackMaxBytes*number|
maxFrames*number|
includeFunction*boolean
includeModule*boolean
includeFile*boolean
runtimeFramePolicy*string
Value in
- "exclude_when_application_frame_exists"
- "include"
adjacentFramePolicy*string
Value in
- "deduplicate"
- "preserve"
exclusions*array<>